import { EppoClient, EventDispatcher } from '@eppo/js-client-sdk-common';
import { IClientConfig } from './i-client-config';
export { Attributes, AttributeType, BanditActions, BanditSubjectAttributes, ContextAttributes, IAssignmentDetails, IAssignmentEvent, IAssignmentLogger, IBanditEvent, IBanditLogger, EppoAssignmentLogger, } from '@eppo/js-client-sdk-common';
export { IClientConfig };
export declare const NO_OP_EVENT_DISPATCHER: EventDispatcher;
/**
 * Initializes the Eppo client with configuration parameters.
 * This method should be called once on application startup.
 * After invocation of this method, the SDK will poll Eppo API at regular intervals to retrieve assignment configurations.
 * @param config client configuration
 * @public
 */
export declare function init(config: IClientConfig): Promise<EppoClient>;
/**
 * Used to access a singleton SDK client instance.
 * Use the method after calling init() to initialize the client.
 * @returns a singleton client instance or throws an Error if init() has not been called
 */
export declare function getInstance(): EppoClient;
//# sourceMappingURL=index.d.ts.map