"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateSalt = exports.takeWhile = void 0;
const crypto_1 = require("crypto");
const base64 = require("js-base64");
/* Returns elements from arr until the predicate returns false. */
function takeWhile(arr, predicate) {
    const result = [];
    for (const item of arr) {
        if (!predicate(item)) {
            break;
        }
        result.push(item);
    }
    return result;
}
exports.takeWhile = takeWhile;
function generateSalt(length = 16) {
    const getRandomValues = (length) => new Uint8Array((0, crypto_1.randomBytes)(length));
    return base64.fromUint8Array(getRandomValues(length));
}
exports.generateSalt = generateSalt;
//# sourceMappingURL=util.js.map