"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isReadOnlyFs = void 0;
const fs = require("fs");
const path = require("path");
/**
 * Checks if the file system is read-only by attempting to write to a temporary file.
 * @param directory The directory to check for write access
 * @returns True if the file system is read-only, false otherwise
 */
function isReadOnlyFs(directory) {
    try {
        const testFilePath = path.join(directory, '.write_test_' + Date.now());
        fs.writeFileSync(testFilePath, 'test', { flag: 'w' });
        fs.unlinkSync(testFilePath);
        return false;
    }
    catch (error) {
        return true;
    }
}
exports.isReadOnlyFs = isReadOnlyFs;
//# sourceMappingURL=index.js.map